Subject: Re: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Clément Pit--Claudel <[email-masked]>
Date: Thu, 22 Sep 2016 16:41:34 -0400

On 2016-09-22 15:58, Drew Adams wrote:
>>> And it is not matched to that character by Isearch.
>> > 
>> > It might, if you turn on character-folding in Isearch.
>> > Unfortunately, that is off by default.
>
> I did mention that this is what a user sees by DEFAULT, no?
> 
> And I did propose that one fix could be for search to find
> this character - by default - when you hit the backquote key:

The fix that you propose was already discussed, albeit as part of a larger change (the one that Eli pointed to, namely enabling character folding by default).  And Eli was, IIRC, in favor of it.

Do you think it would be useful to have a specific hack for just ` vs ‘?  I'd find it very confusing.

Maybe we can come up with a more limited version of character folding, and enable that by default?  This should solve this problem, right?

Clément.